/* Functional styling;
 * These styles are required for noUiSlider to function.
 * You don't need to change these rules to apply your design.
 */
.noUi-target,
.noUi-target * {
	-webkit-touch-callout: none;
	-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
	-webkit-user-select: none;
	-ms-touch-action: none;
	touch-action: none;
	-ms-user-select: none;
	-moz-user-select: none;
	user-select: none;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}
.noUi-target {
	position: relative;
    padding-left: 21px;
    padding-right: 21px;

    &:before {
        top: 50%;
        left: 0;
        right: 0;
        z-index: 1;
        height: 1px;
        content: '';
        position: absolute;
        background-color: #717171;
    }
}

.noUi-base {
    z-index: 5;

    &:after,
    &:before {
        top: calc(50% - 4px);
        z-index: 1;
        width: 9px;
        height: 9px;
        content: '';
        position: absolute;
        border-radius: 50%;
        background-color: #717171;
    }

    &:after {
        right: -21px;
    }

    &:before {
        left: -21px;
    }
}

.noUi-base,
.noUi-connects {
	width: 100%;
	height: 100%;
	position: relative;
	z-index: 1;
}
/* Wrapper for all connect elements.
 */
.noUi-connects {
	overflow: hidden;
	z-index: 0;
}
.noUi-connect,
.noUi-origin {
	will-change: transform;
	position: absolute;
	z-index: 1;
	top: 0;
	right: 0;
	height: 100%;
	width: 100%;
	-ms-transform-origin: 0 0;
	-webkit-transform-origin: 0 0;
	-webkit-transform-style: preserve-3d;
	transform-origin: 0 0;
	transform-style: flat;
}
/* Offset direction
 */
.noUi-txt-dir-rtl.noUi-horizontal .noUi-origin {
	left: 0;
	right: auto;
}
/* Give origins 0 height/width so they don't interfere with clicking the
 * connect elements.
 */
.noUi-vertical .noUi-origin {
	top: -100%;
	width: 0;
}
.noUi-horizontal .noUi-origin {
	height: 0;
}
.noUi-handle {
	backface-visibility: hidden;
	position: absolute;
}
.noUi-touch-area {
    top: 0;
    left: 0;
	height: 100%;
	width: 100%;
    position: absolute;
}
.noUi-state-tap .noUi-connect,
.noUi-state-tap .noUi-origin {
	transition: transform 0.3s;
}
.noUi-state-drag * {
	cursor: inherit !important;
}
/* Slider size and handle placement;
 */
.noUi-horizontal {
	height: 42px;
}
.noUi-horizontal .noUi-handle {
    width: 42px;
    height: 42px;
	right: -21px;
	top: 0;
}
.noUi-vertical {
	width: 18px;
}
.noUi-vertical .noUi-handle {
    width: 42px;
    height: 42px;
	right: -6px;
	bottom: -17px;
}
.noUi-txt-dir-rtl.noUi-horizontal .noUi-handle {
	left: -21px;
	right: auto;
}
/* Styling;
 * Giving the connect element a border radius causes issues with using transform: scale
 */
.noUi-target {
//	background: #fafafa;
//	border-radius: 4px;
	//border: 1px solid #d3d3d3;
//	box-shadow: inset 0 1px 1px #f0f0f0, 0 3px 6px -5px #bbb;
}
.noUi-connects {
    height: 1px;
    top: 50%;
    background-color: #717171;
}
.noUi-connect {
	background: #3fb8af;
}
/* Handles and cursors;
 */
.noUi-draggable {
	cursor: ew-resize;
}
.noUi-vertical .noUi-draggable {
	cursor: ns-resize;
}
.noUi-handle {
    width: 42px;
    height: 42px;
    color: white;
    cursor: pointer;
    font-weight: 600;
    font-size: 16px;
    line-height: 22px;
	border-radius: 8px;
	background: var(--orange);
    display: flex;
    align-items: center;
    justify-content: center;

    &:after {
        content: attr(aria-valuetext);
    }

    &.view-amount {

        &:before {
            left: -10px;
            right: -10px;
            font-weight: 600;
            text-align: center;
            font-size: rem(12);
            line-height: rem(18);
            top: calc(100% + 4px);
            position: absolute;
            content: attr(data-amount);
        }
    }
}

.noUi-active {
	// box-shadow: inset 0 0 1px #fff, inset 0 1px 7px #ddd, 0 3px 6px -3px #bbb;
}

/* Disabled state;
 */
[disabled] .noUi-connect {
	background: #b8b8b8;
}
[disabled].noUi-target,
[disabled].noUi-handle,
[disabled] .noUi-handle {
	cursor: not-allowed;
}
/* Base;
 *
 */
.noUi-pips,
.noUi-pips * {
	box-sizing: border-box;
}
.noUi-pips {
	position: absolute;
	color: #999;
}
/* Values;
 *
 */
.noUi-value {
	position: absolute;
	white-space: nowrap;
	text-align: center;
}
.noUi-value-sub {
	color: #ccc;
	font-size: 10px;
}
/* Markings;
 *
 */
.noUi-marker {
	position: absolute;
	background: #ccc;
}
.noUi-marker-sub {
	background: #aaa;
}
.noUi-marker-large {
	background: #aaa;
}
/* Horizontal layout;
 *
 */
.noUi-pips-horizontal {
	padding: 10px 0;
	height: 80px;
	top: 100%;
	left: 0;
	width: 100%;
}
.noUi-value-horizontal {
	transform: translate(-50%, 50%);
}
.noUi-rtl .noUi-value-horizontal {
	transform: translate(50%, 50%);
}
.noUi-marker-horizontal.noUi-marker {
	margin-left: -1px;
	width: 2px;
	height: 5px;
}
.noUi-marker-horizontal.noUi-marker-sub {
	height: 10px;
}
.noUi-marker-horizontal.noUi-marker-large {
	height: 15px;
}
/* Vertical layout;
 *
 */
.noUi-pips-vertical {
	padding: 0 10px;
	height: 100%;
	top: 0;
	left: 100%;
}
.noUi-value-vertical {
	transform: translate(0, -50%);
	padding-left: 25px;
}
.noUi-rtl .noUi-value-vertical {
	transform: translate(0, 50%);
}
.noUi-marker-vertical.noUi-marker {
	width: 5px;
	height: 2px;
	margin-top: -1px;
}
.noUi-marker-vertical.noUi-marker-sub {
	width: 10px;
}
.noUi-marker-vertical.noUi-marker-large {
	width: 15px;
}
.noUi-tooltip {
	display: block;
	position: absolute;
	border: 1px solid #d9d9d9;
	border-radius: 3px;
	background: #fff;
	color: #000;
	padding: 5px;
	text-align: center;
	white-space: nowrap;
}
.noUi-horizontal .noUi-tooltip {
	transform: translate(-50%, 0);
	left: 50%;
	bottom: 120%;
}
.noUi-vertical .noUi-tooltip {
	transform: translate(0, -50%);
	top: 50%;
	right: 120%;
}
.noUi-horizontal .noUi-origin > .noUi-tooltip {
	transform: translate(50%, 0);
	left: auto;
	bottom: 10px;
}
.noUi-vertical .noUi-origin > .noUi-tooltip {
	transform: translate(0, -18px);
	top: auto;
	right: 28px;
}

.range-slider {

}

.range-scale {
    margin-top: rem(4);
    color: rgba(255, 255, 255, 0.6);
    font-size: rem(12);
    line-height: rem(18);
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.view-amount {

}

.range {

    &__slider {
        display: none;
    }

    &__field {
        width: 142px;
        display: block;
    }
    @include media-breakpoint-up(md) {

        &__slider {
            display: block;
        }

        &__field {
            display: none;
        }
    }
}

.noUi-touch-area {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;

    span {
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        border-radius: rem(8);
        background-color: var(--orange);
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;

        b {
            top: -1px;
            font-weight: 400;
            font-size: rem(20);
            position: relative;
        }
    }
}

.noUi-handle {

    &.after-hide {

        .noUi-touch-area:after {
            content: '' !important;
            display: none !important;
        }
    }

}
